<?php
$title = 'Заврешение оплаты';
require ($_SERVER['DOCUMENT_ROOT'].'/core/sys.php');
require ($_SERVER['DOCUMENT_ROOT'].'/core/head.php');
$pay = $db->prepare('SELECT * FROM `pay` WHERE `id` = ?');
$pay -> execute([$_SESSION['payment']]);
$pay = $pay -> fetch(PDO :: FETCH_ASSOC);
if(!isset($pay['id'])){
echo '<div id="error" class="message" style="text-align:center;"><b> Для дальнейшей работы вам стоит пройти авторизацию в данном сервисе, если хотите оплатить с личного счета.. </b></div>';
require ($_SERVER['DOCUMENT_ROOT'].'/core/foot.php');
exit;
}
if($pay['status'] == 'yes'){
echo '<div id="error" class="message" style="text-align:center;"><b> Данный счет уже был оплачен... </b></div>';
require ($_SERVER['DOCUMENT_ROOT'].'/core/foot.php');
exit;
}

if($pay['type'] == 0){
echo '<div id="error" class="message" style="text-align:center;"><b> Не тот способ выбран </b></div>';
require ($_SERVER['DOCUMENT_ROOT'].'/core/foot.php');
exit;
}

$client = $db->prepare('SELECT * FROM `platform` WHERE `id` = ?');
$client -> execute([$pay['platform']]);
$client = $client -> fetch(PDO :: FETCH_ASSOC);
if(!isset($client['id'])){
header('Location: /');
exit;
}

if(!isset($user)){
?><div class="top"> Ошибка </div>
<div class="box"> Для оплаты с личного счета вам нобходимо пройти регистрацию на  Word Pay </div><?
require ('../core/foot.php');  
$del = $db->prepare('DELETE FROM `pay` WHERE `id` = ?');
$del -> execute([$pay['id']]);
exit;
}
if($user['money'] < $pay['summa']+$pay['summa']*0.05){
$_SESSION['message'] = 'Недостаточно средств на счету';
header('Location: /payment/error.aspx');
exit;
}
if($pay['status'] == 'yes'){
exit(header('location :'.$client['url']));
}
?><div class="top"> Завершение оплаты</div>
<div class="box"> Счет #<?=$id;?> был успешно оплачен</br>
Дата платежа: <?=vremja($pay['time']);?></br>
Сумма: <?=$pay['summa'];?> руб.</br>
Сумма с учетом комиссии: <?=$pay['summa']+$pay['summa']*0.05;?> руб.</br>
Сайт продавца: <?=$client['url'];?></br>
Комментарий к платежу: <?=base64_decode($pay['com']);?> 
</div>
<form class="box" action="/api/payment/success.php" method="post">
<input type="submit" name="button" value="Вернуться к продавцу"></form>
<?
/*Присваиваем статус */
$sql = $db->prepare('UPDATE `pay` SET `status` = ? WHERE `id` = ?');
$sql -> execute(['success',$_SESSION['payment']]);
$us = $db->prepare('UPDATE `users` SET `money` = `money` - ? WHERE `id` = ?');
$us -> execute([($pay['summa']+$pay['summa']*0.05),$user['id']]);
money_log($user['id'],'-'.($pay['summa']+$pay['summa']*0.05),'Оплата с личного счета через мерчант');
require ($_SERVER['DOCUMENT_ROOT'].'/core/foot.php');
?>